Hi
Below is the macro for offset which is working fine.
May I request you to suggest how to include the direction option in this MACRO.
How to get the validation from user for direction "TRUE or FALSE"
Language="VBSCRIPT"
Sub CATMain()
Set partDocument1 = CATIA.ActiveDocument
Set part1 =...
Hi LWolf,
I just forgot to mention that with the code as below - I mean # included in the script, Macro is showing an error while I try to exeucte.
However replacing # with -45.000/etc its working fine.
Set hybridShapeSphere1 = hybridShapeFactory1.AddNewSphere(reference1, Nothing...
Hi Experts
May I request for help to correct this issue.
Trying to create a sphere with exiting points. Requirement is to create a sphere with parameter. I followed your youtube video but not able to fix the problem.
Not able to create formula to connect to radius of sphere.
Language=”VBSCRIPT”...
Hi Experts,
Below is the Macro which will offset the all the surfaces in the selected GS.
I have two issues in which I need guidance/help
1. All the surfaces to be offset based on the user request Like - In / Out. Currently its happening on the side based on iorientation = True/False.
2. Ignore...
MACRO is updated to rename the point and line created with parent surface name.
Any suggestion to improvements this will be helpful to me as well new beginners.
'---------------------------------------
'This Macro is to create a point on Dead Surface
'in a selected Geometrical Set...
Mission accomplished.
Thank you Little Cthulhu for your patience and guidance.
Below is the MACRO for creating a point and Normal to surface line on input Surface in a GS.
Hope this will help new beginners like me.
'---------------------------------------
'This Macro is to create a point on...
Thank you for kind response.
The only good thing in this code is it can display the number of Surfaces in a selected GS.
However the point is not getting created.
Language="VBSCRIPT"
Sub CATMain()
Set partDocument1 = CATIA.ActiveDocument
Set part1 = partDocument1.Part
Set hybridBodies1 =...
Finally I could able to create FOR LOOP with displaying the count.
Can any one help me to create point on surface since I am unable to find the correct syntax.
This will help me to go forward.
Language="VBSCRIPT"
Sub CATMain()
Set partDocument1 = CATIA.ActiveDocument
Set part1 =...
Hi All,
I am trying to create macro with input as GS in which only Surfaces are there and output expected is to create a point which is CG of each surface and then create a normal to respective surface with respective point as input.
I need help in putting this macro in loop i mean point and...
Thank Ferdo for your input.
I understood taking output via setting but ow it is helpful for what I am looking for is not clear.
I tried follow but being a beginner in macro could not able to follow.
Please check this macro if you want.
In this start and angle is given as input.
Let me know your feedback.
Language="VBSCRIPT"
Sub CATMain()
Set partDocument1 = CATIA.ActiveDocument
Set part1 = partDocument1.Part
Set hybridBodies1 = part1.HybridBodies
'----->with below line the Sketch...
Hi Arun
Is it because you are not giving any input to macro like Sketch/Surface for profile and Axis for rotation of Shaft.
You have recorded the macro but need to provide the input.
This is my opinion and hope that it answers your question.
I have created a MACRO with sketch - Rectangular...
Hi All,
I tried record a macro for getting the result of Parameterization Analysis to capture the results like
Unconstrained Sketch / Fully constrained sketch.
Unfortunately its not getting recorded and I am not aware of the reasons.
I tried searching in V5Automation.chm but could not figure...
Hi
This macro is with creation of PAD.
Hope this will be useful for new beginners
Language="VBSCRIPT"
Sub CATMain()
Set partDocument1 = CATIA.ActiveDocument
Set part1 = partDocument1.Part
Set hybridBodies1 = part1.HybridBodies
'----->with below line the Sketch will always be created in...